# pgRouting Manual (3.0-rc1)

## pgr_version

`pgr_version` — Query for pgRouting version information.

Availability

- Version 3.0.0
  - Breaking change on result columns
  - Support for old signature ends
- Version 2.0.0
  - Official function

Support

- Supported versions: current(3.0)
- Unsupported versions: 2.6 2.5 2.4 2.3 2.2 2.1 2.0

## Description

Returns pgRouting version information.

## Signature

    TEXT pgr_version();

Example: | pgRouting Version for this documentatoin

    SELECT pgr_version();
     pgr_version
    -------------
     3.0.0-rc1
    (1 row)

## Result Columns

Type | Description
--- | ---
`TEXT` | pgRouting version

## See Also

- pgr_full_version

Indices and tables

- Index
- Search Page